
QGIS Application - Bug report #4300

Zoom to Layer Extent does not work after extent of underlying PostGIS view changes

2011-09-21 02:58 PM - Willem Buitendyk

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14237

Description

I'm using 1.7.0 and have a dataset view linked in from Postgis. If I change the view from outside QGIS then the data will refresh properly in

QGIS after Ctrl-R but the Zoom to Layer Extent will not work anymore. I then need to exit QGIS and restart in order for Zoom to Layer

Extent to work. I follow this same procedure using Manifold and it works flawlessly in this regard.

History

#1 - 2011-09-30 04:53 AM - Anita Graser

- Subject changed from Postgis, Refresh and Zoom to Layer Extent to Zoom to Layer Extent does not work after extent of underlying PostGIS view 

changes

#2 - 2011-10-02 06:22 AM - Giovanni Manghi

- Category set to Data Provider

I can confirm the issue on QGIS trunk and PostgreSQL 8.4/PostGIS 1.5 installed on Linux.

#3 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#5 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2014-08-02 09:54 AM - Antonio Locandro

This also happens for Spatialite Layers, do I open another ticket? This could be fixed with QGIS updating the layer extent automatically after saving edits.

#8 - 2015-06-04 02:11 PM - Jürgen Fischer

- Category changed from Data Provider to Data Provider/PostGIS
#9 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#10 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
